org.keycloak.partialimport

## Class UsersPartialImport

- java.lang.Object
- - org.keycloak.partialimport.AbstractPartialImport<UserRepresentation>
  - - org.keycloak.partialimport.UsersPartialImport

- All Implemented Interfaces:
    PartialImport<UserRepresentation>

      public class UsersPartialImport
      extends AbstractPartialImport<UserRepresentation>

  PartialImport handler for users.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2016 Red Hat Inc.

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.partialimport.AbstractPartialImport

      `toOverwrite, toSkip`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsersPartialImport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `create(RealmModel realm, KeycloakSession session, UserRepresentation user)`
    `boolean` | `exists(RealmModel realm, KeycloakSession session, UserRepresentation user)`
    `String` | `existsMessage(RealmModel realm, UserRepresentation user)`
    `String` | `getModelId(RealmModel realm, KeycloakSession session, UserRepresentation user)`
    `String` | `getName(UserRepresentation user)`
    `List<UserRepresentation>` | `getRepList(PartialImportRepresentation partialImportRep)`
    `ResourceType` | `getResourceType()`
    `void` | `remove(RealmModel realm, KeycloakSession session, UserRepresentation user)`

    - ### Methods inherited from class org.keycloak.partialimport.AbstractPartialImport

      `added, doImport, existsError, overwritten, prepare, removeOverwrites, skipped`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UsersPartialImport

          public UsersPartialImport()

  - ### Method Detail

    - #### getRepList

          public List<UserRepresentation> getRepList(PartialImportRepresentation partialImportRep)

      Specified by:
        `getRepList` in class `AbstractPartialImport<UserRepresentation>`

    - #### getName

          public String getName(UserRepresentation user)

      Specified by:
        `getName` in class `AbstractPartialImport<UserRepresentation>`

    - #### getModelId

          public String getModelId(RealmModel realm,
                                   KeycloakSession session,
                                   UserRepresentation user)

      Specified by:
        `getModelId` in class `AbstractPartialImport<UserRepresentation>`

    - #### exists

          public boolean exists(RealmModel realm,
                                KeycloakSession session,
                                UserRepresentation user)

      Specified by:
        `exists` in class `AbstractPartialImport<UserRepresentation>`

    - #### existsMessage

          public String existsMessage(RealmModel realm,
                                      UserRepresentation user)

      Specified by:
        `existsMessage` in class `AbstractPartialImport<UserRepresentation>`

    - #### getResourceType

          public ResourceType getResourceType()

      Specified by:
        `getResourceType` in class `AbstractPartialImport<UserRepresentation>`

    - #### remove

          public void remove(RealmModel realm,
                             KeycloakSession session,
                             UserRepresentation user)

      Specified by:
        `remove` in class `AbstractPartialImport<UserRepresentation>`

    - #### create

          public void create(RealmModel realm,
                             KeycloakSession session,
                             UserRepresentation user)

      Specified by:
        `create` in class `AbstractPartialImport<UserRepresentation>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.